package ballerina.lang.system;

@doc:Description ("Gets the current system time in milliseconds")
@doc:Return ("long: System time in milliseconds" )
native function currentTimeMillis () (long);

native function getDateFormat (string format) (string);

@doc:Description ("Gets the current system time in epoch format")
@doc:Return ("long: System time in epoch time" )
native function epochTime () (long);

@doc:Description ("Gets the value of the specified environment variable.")
@doc:Param ("key: The environment variable" )
@doc:Return ("string): The value of the specified environment variable" )
native function getEnv (string key) (string);

@doc:Description ("Logs a Boolean value")
@doc:Param ("logLevel: Log level: 1 - Trace, 2 - Debug, 3 - Info, 4 - Warn, 5 - Error" )
@doc:Param ("b: Boolean value to be logged" )
native function log (int logLevel, boolean b);

@doc:Description ("Logs a double value")
@doc:Param ("logLevel: Log level: 1 - Trace, 2 - Debug, 3 - Info, 4 - Warn, 5 - Error" )
@doc:Param ("d: Double value to be logged" )
native function log (int logLevel, double d);

@doc:Description ("Logs a float value")
@doc:Param ("logLevel: Log level: 1 - Trace, 2 - Debug, 3 - Info, 4 - Warn, 5 - Error" )
@doc:Param ("f: Float value to be logged" )
native function log (int logLevel, float f);

@doc:Description ("Logs an integer value")
@doc:Param ("logLevel: Log level: 1 - Trace, 2 - Debug, 3 - Info, 4 - Warn, 5 - Error" )
@doc:Param ("i: Integer value to be logged" )
native function log (int logLevel, int i);

@doc:Description ("Logs a long value")
@doc:Param ("logLevel: Log level: 1 - Trace, 2 - Debug, 3 - Info, 4 - Warn, 5 - Error" )
@doc:Param ("l: Long value to be logged" )
native function log (int logLevel, long l);

@doc:Description ("Logs a string value")
@doc:Param ("logLevel: Log level: 1 - Trace, 2 - Debug, 3 - Info, 4 - Warn, 5 - Error" )
@doc:Param ("s: String value to be logged" )
native function log (int logLevel, string s);

@doc:Description ("Gets the current system time in nanoseconds")
@doc:Return ("long: System time in nanoseconds" )
native function nanoTime () (long);

@doc:Description ("Prints a Boolean value to the STDOUT")
@doc:Param ("b: Boolean value to be printed" )
native function print (boolean b);

@doc:Description ("Prints a double value to the STDOUT")
@doc:Param ("d: Double value to be printed" )
native function print (double d);

@doc:Description ("Prints a float value to the STDOUT")
@doc:Param ("f: Float value to be printed" )
native function print (float f);

@doc:Description ("Prints an integer value to the STDOUT")
@doc:Param ("i: Integer value to be printed" )
native function print (int i);

@doc:Description ("Prints a JSON value to the STDOUT")
@doc:Param ("value: JSON value to be printed" )
native function print (json value);

@doc:Description ("Prints a Boolean value to the STDOUT in a new line")
@doc:Param ("b: Boolean value to be printed" )
native function println (boolean b);

@doc:Description ("Prints a double value to the STDOUT in a new line")
@doc:Param ("d: Double value to be printed" )
native function println (double d);

@doc:Description ("Prints a float value to the STDOUT in a new line")
@doc:Param ("f: Float value to be printed" )
native function println (float f);

@doc:Description ("Prints an integer value to the STDOUT in a new line")
@doc:Param ("i: Integer value to be printed" )
native function println (int i);

@doc:Description ("Prints a JSON value to the STDOUT in a new line")
@doc:Param ("value: JSON value to be printed" )
native function println (json value);

@doc:Description ("Prints a long value to the STDOUT in a new line")
@doc:Param ("l: Long value to be printed" )
native function println (long l);

@doc:Description ("Prints a string value to the STDOUT in a new line")
@doc:Param ("s: String value to be printed" )
native function println (string s);

@doc:Description ("Prints an XML value to the STDOUT in a new line")
@doc:Param ("value: XML value to be printed" )
native function println (xml value);

@doc:Description ("Prints a long value to the STDOUT")
@doc:Param ("l: Long value to be printed" )
native function print (long l);

@doc:Description ("Prints a string value to the STDOUT")
@doc:Param ("s: String value to be printed" )
native function print (string s);

@doc:Description ("Prints an XML value to the STDOUT")
@doc:Param ("value: XML value to be printed" )
native function print (xml value);

